<?php
#
# $Id: config.php,v 1.0.0.0 2007/04/23 17:00:00 max Exp $
#

if ( !defined('XCART_START') ) { header("Location: ../../"); die("Access denied"); }

$addons['Order_Dates'] = true;

$sql_tbl['order_dates'] = "xcart_order_dates";

function func_string_to_date($order_date) {
	# if is nothing return false
	if ($order_date == "")
		return -1;
	$start = -1;
	$end = 0;
	$date = array();
	$date_count = 0;
	# check the string letter by letter to the end of the string
	while ($end < strlen($order_date)) {
		# loop while you finish a numeric part
		if (!is_numeric(substr($order_date,$end,1))) {
			# save the numbers in $date array
			$date[$date_count] = substr($order_date, $start + 1, $end - $start - 1);
			$date_count++;
			# find the beginning of the next number
			while ($end < strlen($order_date) && !is_numeric(substr($order_date,$end+1,1))) {
				$end++;
			}
			# save the position of the next number
			$start = $end;
		}
		$end++;
	}
	# save the last numbers in $date array
	$date[$date_count] = substr($order_date, $start + 1, $end - $start - 1);
	# nothing found? return false
	if ($date[0] == "")
		return -1;
	# US way of a date - first year then else?
	if (strlen($date[0]) == 4) {
		$order_date = mktime($date[3], $date[4], $date[5], $date[1], $date[2], $date[0]);
	} else {
	# European way
		# Did the user wrote a year?
		if ($date[0] != "" || $date[1] != "" || $date[2] == "")
			# No? Take todays year
			$date[2] = date('Y');
		$order_date = mktime($date[3], $date[4], $date[5], $date[1], $date[0], $date[2]);
	}
	return $order_date;
}

?>