INSERT INTO xcart_modules (module_name, module_descr, active) VALUES ('Order_Dates','This module brings dates and order id''s to completed and backordered orders.','Y');

DROP TABLE IF EXISTS xcart_order_dates_tmp;
CREATE TABLE xcart_order_dates_tmp (
orderid INT( 11 ) NOT NULL,
completed_orderid INT( 11 ) NOT NULL auto_increment,
PRIMARY KEY  (completed_orderid)
) ENGINE = MEMORY;

DROP TABLE IF EXISTS xcart_order_dates;
CREATE TABLE xcart_order_dates (
orderid INT( 11 ) NOT NULL DEFAULT 0,
backordered_date INT( 11 ) NULL ,
completed_date INT( 11 ) NULL,
completed_orderid INT( 11 ) NULL,
PRIMARY KEY  (orderid)
) ENGINE = MYISAM ;

INSERT INTO xcart_order_dates_tmp (orderid) SELECT orderid FROM xcart_orders WHERE status = "C" ORDER BY date;

INSERT INTO xcart_order_dates (orderid, backordered_date, completed_date) SELECT orderid, IF((status="B") OR (status="P"), date, \N), IF(status="C", date, \N) FROM xcart_orders WHERE status = "B" OR status = "P" OR status = "C";

UPDATE xcart_order_dates, xcart_order_dates_tmp SET xcart_order_dates.completed_orderid  = xcart_order_dates_tmp.completed_orderid WHERE xcart_order_dates.orderid = xcart_order_dates_tmp.orderid;

DROP TABLE IF EXISTS xcart_order_dates_tmp;
